Bug 999927 - ps2pdf fails on ps file (ERROR -15 closing pdfwrite device)
Summary: ps2pdf fails on ps file (ERROR -15 closing pdfwrite device)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-22 11:30 UTC by torkildj
Modified: 2013-09-30 00:46 UTC (History)
1 user (show)

Fixed In Version: ghostscript-9.07-15.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-30 00:46:57 UTC
Type: Bug


Attachments (Terms of Use)
ps file that triggers the bug (29.23 KB, application/postscript)
2013-08-22 11:30 UTC, torkildj
no flags Details
latex source for ps file (406 bytes, text/x-tex)
2013-08-22 11:30 UTC, torkildj
no flags Details


Links
System ID Priority Status Summary Last Updated
Ghostscript 694535 None None None Never

Description torkildj 2013-08-22 11:30:10 UTC
Created attachment 789155 [details]
ps file that triggers the bug

Description of problem:
ps2pdf fails to convert ps to pdf. By using ps2pdf12 ps2pdf13 it works (ps2pdf13 fails)

ps2pdf test.ps
GPL Ghostscript 9.07: ERROR -15 closing pdfwrite device. See gs/psi/ierrors.h for code explanation.

ps2pdf14 test.ps
GPL Ghostscript 9.07: ERROR -15 closing pdfwrite device. See gs/psi/ierrors.h for code explanation.

Version-Release number of selected component (if applicable):
ghostscript-9.07-10.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. Run ps2pdf on attached ps
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 torkildj 2013-08-22 11:30:39 UTC
Created attachment 789156 [details]
latex source for ps file

Comment 2 Tim Waugh 2013-08-22 14:37:56 UTC
This is tripping up when trying to write the document metadata XML. I think I've found the issue (typo in gdevpdfe.c).

Comment 3 torkildj 2013-08-24 10:58:33 UTC
Thank you for the great work on this Tim!

However I still get this seemingly harmless error when running ps2pdf:
GPL Ghostscript 9.07: PDFDocEncoding 0 cannot be represented in Unicode

The error does not appear when using ps2pdf13

Comment 4 Tim Waugh 2013-08-27 12:40:35 UTC
Please file that as a separate bug so it can be tracked as appropriate.

Comment 5 Fedora Update System 2013-09-26 15:18:06 UTC
ghostscript-9.07-15.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghostscript-9.07-15.fc19

Comment 6 Fedora Update System 2013-09-27 00:53:53 UTC
Package ghostscript-9.07-15.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghostscript-9.07-15.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17775/ghostscript-9.07-15.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-09-30 00:46:57 UTC
ghostscript-9.07-15.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.